.search-container {
    display: flex;
    flex-direction: column;
}

.search-input-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    margin-top: 24px;
}

.search-input {
    width: 100%;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding-bottom: 1.25rem;
    max-width: 600px;
    border-bottom: 2px solid #B52221;
}

.search-field {
    width: 100%;
    background: transparent;
    border: none;
    outline: none;
    font-size: 36px;
    font-weight: 600;
    line-height: 36px;
    color: #000;
    font-style: italic;
    font-family: 'Inter', sans-serif;
}

.search-field::placeholder {
    color: #4A5568;
}

.search-results {
    display: flex;
    flex-direction: column;
    margin-top: 24px;
}

.search-results-header {
    margin-bottom: 1.5rem;
}

.results-count {
    font-size: 1.5rem;
    font-weight: 600;
    line-height: 2rem;
    margin-bottom: 0.5rem;
}

.results-filter-text {
    font-size: 1.125rem;
    line-height: 1.5rem;
}

.search-filters {
    padding: 1.5rem 0;
    border-bottom: 2px solid #EAECF0;
    margin-bottom: 1.5rem;
}

.filter-options {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.filter-option {
    padding: 8px 12px;
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    cursor: pointer;
    transition: all 0.3s ease;
    font-family: 'Inter', sans-serif;
    border-radius: 8px;
}

.filter-option:hover {
    background-color: #6941C6;
    color: white;
    transition: background-color 0.3s ease;
}

.filter-option.active {
    background-color: #B52221;
    color: white;
}

.search-results-list {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 16px;
}

.search-result-item {
    display: block;
    padding-bottom: 1.5rem;
    border-bottom: 2px solid rgba(171, 228, 255, 0.8);
    border-radius: 16px;
    overflow: hidden;
    text-decoration: none;
    border: 1px solid #EAECF0;
}

.search-result-item .result-item-image-wrapper {
    width: 100%;
    height: 240px;
    overflow: hidden;
}

.search-result-item .result-item-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.search-result-item .result-item-content {
    padding: 24px;
    font-family: 'Inter', sans-serif;
}

.search-result-item .result-item-content .result-item-categories {
    display: flex;
    align-items: center;
    gap: 8px;
}
.search-result-item .result-item-content .result-item-category {
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    padding: 2px 10px;
    color: white;
    background-color: #B52221;
    border-radius: 16px;
    border: 1px solid #FCCCCC;
    width: fit-content;
}

.search-result-item .result-item-content .result-item-meta {
    font-size: 14px;
    font-weight: 600;
    line-height: 20px;
    color: #B52221;
    margin-top: 24px;
}

.search-result-item .result-item-content .result-item-title-wrapper {
    display: flex;
    gap: 16px;
    margin-top: 8px;
    color: black;
}

.search-result-item .result-item-content .result-item-title-wrapper .result-title {
    font-size: 24px;
    font-weight: 600;
    line-height: 32px;
    font-family: 'Inter', sans-serif;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    text-overflow: ellipsis;
}



.search-result-item .result-item-content .result-item-title-wrapper .arrow-up-right-black {
    width: 24px;
    height: 28px;
    display: block;
}

.search-result-item .result-item-content .result-excerpt {
    margin-top: 8px;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    color: #475467;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 3;
    overflow: hidden;
    text-overflow: ellipsis;
}

.search-pagination {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 0.75rem;
    margin-top: 2.25rem;
}

.pagination-prev,
.pagination-next {
    display: flex;
    align-items: center;
    gap: 0.25rem;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 0.875rem;
    font-weight: 600;
}

.pagination-prev:disabled,
.pagination-next:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.pagination-numbers {
    display: flex;
    align-items: center;
    gap: 2px;
}

.page-number {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    border-radius: 8px;
}

.page-number.active {
    background-color: #D62D2C;
    color: white;
}


.pagination-numbers .ellipsis {
    margin: 0 12px;
}

.no-results {
    font-size: 1.875rem;
    font-weight: 600;
    padding: 2.25rem 0;
    text-align: center;
}

@media (min-width: 768px) {
    .search-page {
        padding: 6rem 1.5rem 10rem;
    }
}

@media (min-width: 1280px) {
    .search-results-list {
        grid-template-columns: repeat(3, 1fr);
        padding: 0 48px;
    }
}


